MaillyDocs

Create or update contacts in bulk

POST
/contacts/batch

body is an array of contacts or {contacts: [...]}, 1-1000 items; returns a result per item, and 207 overall if any fail.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Request Body

application/json
  1. body
contacts?array<>
[key: string]?unknown

Response Body

All succeeded

application/json
  1. response
success*boolean
received*number
succeeded*number
failed*number
results*array<>
[key: string]?unknown
curl -X POST 'https://api.mailly.site/contacts/batch' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "received": 0,  "succeeded": 0,  "failed": 0,  "results": [    {      "property1": null,      "property2": null    }  ],  "property1": null,  "property2": null}